Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 978262 - Conflict between ast-devel and libast-devel
Summary: Conflict between ast-devel and libast-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ast
Version: 18
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-26 08:29 UTC by Walter Mueller
Modified: 2013-08-23 00:35 UTC (History)
2 users (show)

Fixed In Version: ast-6.0.1-6.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-23 00:35:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Walter Mueller 2013-06-26 08:29:07 UTC
Description of problem:


Version-Release number of selected component (if applicable):
ast-devel-6.0.1-3.fc18
libast-devel-0.7.1-0.12.20080502cvs


How reproducible:
Try to install both packages 


Steps to Reproduce:
1. install ast-devel
2. install libast-devel
3.

Actual results:
file /usr/lib64/libast.so from install of libast-devel-0.7.1-0.12.20080502cvs.fc18.x86_64 conflicts with file from package ast-devel-6.0.1-3.fc18.x86_64

Expected results:
No conflict, both packages should be installeld

Additional info:
libast is needed for eterm-0.9.6-7.fc18.

Comment 1 Terje Røsten 2013-06-26 08:55:41 UTC
Hmm, Orion any suggestions to resolve this?

Comment 2 Orion Poplawski 2013-08-09 23:06:59 UTC
http://fedoraproject.org/wiki/Packaging:Conflicts#Library_Name_Conflicts

Move the libast* libraries into %{_libdir}/ast/ and add an ld.so.conf.d file.

Comment 3 Terje Røsten 2013-08-11 15:45:58 UTC
Should libast (current component) or ast move files (or both)?

Comment 4 Orion Poplawski 2013-08-11 15:51:14 UTC
Actually, I belive ast should change (more libraries, newer Fedora package).

Comment 5 Terje Røsten 2013-08-11 15:54:15 UTC
Ok, thanks!

Comment 6 Fedora Update System 2013-08-12 15:19:26 UTC
ast-6.0.1-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ast-6.0.1-6.fc18

Comment 7 Fedora Update System 2013-08-15 03:06:15 UTC
Package ast-6.0.1-6.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ast-6.0.1-6.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14815/ast-6.0.1-6.fc18
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-08-23 00:35:15 UTC
ast-6.0.1-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.